package com.zxhl.cms.down

class UpdateVersionContract {
    interface View {

        fun showMandatoryUpdateDialog(title: String, desc: String)

        fun showNonMandatoryUpdateDialog(title: String, desc: String)

        fun onNoUpdate()

        fun onDownloadError()

        fun onDownloadComplete(path: String)

        fun onDownloadProgress(total: Long, current: Long)

    }

    interface Presenter {
        fun downloadApk()

        fun checkVersion(isShowToast: Boolean)

        fun unsubscribe()
    }
}